<%
/******************************************************************************
 * Copyright (c) 2000-2004 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous êtes autorisés à modifier ce code source uniquement pour votre usage
 * propre et sous réserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'état. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donnée. En aucun cas E-DEAL ne pourra être tenu pour
 * responsable des dommages pouvant résulter de l'utilisation de ce code
 * source.
 *
 * CVS Info for $RCSfile$
 *
 * $Revision$
 * $Author$                  $Date$
 ******************************************************************************/
%>
<%@page contentType="text/html; charset=UTF-8" session="true"%>
<%@page session="true" import="com.edeal.frontline.*"%>
<%@page session="true" import="java.util.*"%>
<%@page session="true" import="com.edeal.frontline.navigation.*" %>
<%@ page import="com.edeal.frontline.grid.functions.FaqHeaderSyntaxActions" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.FAQHeaderBean" id="FAQHeader" scope="request"/>

<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	DataDictionary dico = context.getDataDictionary();
	
	//récupérer la langue en cours 
	FlLocale locale = FlLocale.getInstance(session);
	String langageID = locale.getLanguageID();
	//si la langue dans fllocal est null alors français pas defaut
	if(langageID == null) {
		try {
			langageID = dico.getRefIdByCode("Lna", "Val", "fr_FR");
		} catch (Exception ex) {
		}
	}
	
	String fahID = null;
	try {
		fahID = FAQHeader.getID();
	} catch (FieldNotInitializedException e) {

	}
	
	Boolean fahIsRemoved = null;
	try {
		fahIsRemoved = FAQHeader.isFahIsRemoved();
	} catch (FieldNotInitializedException e) {
	}
	
	String fahAudience = null;
	try {
		fahAudience = FAQHeader.getFahAudience();
	} catch (FieldNotInitializedException e) {
	}
	String[] audience = null;
	if (fahAudience != null) {
		audience = fahAudience.split(",");
	}
	
	String fahFromFahID = (String) flRequest.getParameter("fahFromFahID");
%>
<style>
.faqTitle
{
	border: 1px solid #006699;
	height:15px;
	padding: 2px 5px;
	overflow: auto;
}
.faqContent
{
	border: 1px solid #006699;
	height: 320px;
	overflow: auto;
	padding: 2px 5px;
}
.combobox
{
	height: 90px;
	overflow: auto;
}
.message-editor {
	position: relative;
	left: 0;
	right: 0;
	height: 100%;
	width: 100%;
}

.language_without_message {
	filter: alpha(opacity = 20);
	-moz-opacity: 0.2;
	-khtml-opacity: 0.2;
	opacity: 0.2;
}

.language_current {
	border: 1px solid black;
}

.language_current_without_message {
	border: 1px solid black;
	filter: alpha(opacity = 20);
	-moz-opacity: 0.2;
	-khtml-opacity: 0.2;
	opacity: 0.2;
}
</style>

<script language="JavaScript">

function changeLanguageOrigin(codeLanguage) {
	loadFAQOrigin(codeLanguage); //after this we have the new language
	loadTagFAQHeaderListOrigin();	
}

function loadLanguageOrigin() {
	var langageID = $("#langageIDOrigin").val();
	var ajaxURL = '<fl:webapp/>/get_faq_languages_origin_bar.fl?id=<%= fahID %>&langageID=' + langageID;
	doAjax(ajaxURL, languageOriginCallBack);
}

function languageOriginCallBack(index) {
	if (eDealXmlhttpArr[index].readyState == 4) {
		$("#div_language_origin").html(eDealXmlhttpArr[index].responseText);
	}
	hideWaiting();
}

function loadFAQOrigin(codeLanguage) {
	setLangageIDOrigin(codeLanguage);
	
	$.getJSON("<fl:webapp/>/get_faq_content.fl?id=<%= fahID %>&langageID=" + codeLanguage, function(result) {
		var f = document.forms[0];	
		$("#FaqTitleOrigin").html(result.faqTitle);
		
		$("#FaqResponseOrigin").html(result.faqResponse != "" ? decodeURIComponent(result.faqResponse) : "");
		
		loadLanguageOrigin();

	});
}

function setLangageIDOrigin(lngID) {
	$("#langageIDOrigin").val(lngID);
}

function loadTagFAQHeaderListOrigin() {
	var faqLngID = $("#langageIDOrigin").val();
	var ajaxURL = '<fl:webapp/>/get_faqh_tag_list_read.fl?id=<%= fahID %>&langageID=' + faqLngID;
	doAjax(ajaxURL, tagFAQHeaderOriginCallBack);
}

function tagFAQHeaderOriginCallBack(index) {
	if (eDealXmlhttpArr[index].readyState == 4) {
		$("#div_faqh_tag_origin").html(eDealXmlhttpArr[index].responseText);
	}
	hideWaiting();
}

function loadOrigin() {
	loadFAQOrigin('<%= langageID %>');
	loadTagFAQHeaderListOrigin();
	loadFaqLinkListOrigin();
	loadFaqHeaderVersionsOrigin();
}

function loadFaqLinkListOrigin() {
	var ajaxURL = '<fl:webapp/>/get_faqlink_list_read.fl?id=<%= fahID %>';
	doAjax(ajaxURL, faqLinkListOriginCallBack);
}

function faqLinkListOriginCallBack(index) {
	if (eDealXmlhttpArr[index].readyState == 4) {
		$("#div_faqlink_origin").html(eDealXmlhttpArr[index].responseText);
	}
	hideWaiting();
}

$(document).ready(function () {
	loadOrigin();
});

function loadFaqHeaderVersionsOrigin() {
	var ajaxURL = '<fl:webapp/>/get_faqh_versions.fl?id=<%= fahID %>&fahFromFahID=<%= fahFromFahID %>';
	$.ajax({
		  url: ajaxURL,
		  success: function(data) {
		    $('#div_read_versions').html(data);
		  }
	});
}
</script>
<table border="0" cellpadding="0" cellspacing="0" width="100%">
	<tr style="height: 43px;">
		<td width="10"><img src="<fl:webapp/>/icons/spacer.gif" width="10" height="10"></td>
		<td colspan="3" valign="top" width="98%">
			<table id="BTabs" class="container" cellpadding="0" width="100%">
				<tr>
					<td style="text-align: right; width: 15px"><img src="<fl:webapp/>/icons/nav/principal_onglet/ong_blanc_pos_1.gif" style="width: 15px; height: 43px"></td>
					<td class="ongletblanc">
						<fl:getMessage code="L808F" alt="Fiche origine"/>
					</td>
					<td class="actif-fin">
					
					</td><td class="tabRightSpace" style="width: 90%; text-align: right; background: transparent url(<fl:webapp/>/icons/nav/principal_onglet/fd_cell.gif)">
						
					</td>
					<td class="finTab">&nbsp;</td>
				</tr>
			</table>
		</td>
		<td width="10"><img src="<fl:webapp/>/icons/spacer.gif" width="10" height="10"></td>
	</tr>
	<tr style="height: 100%;">
		<td width="10"><img src="<fl:webapp/>/icons/spacer.gif" width="10" height="10"></td>
		<td width="15" background="<fl:webapp/>/icons/nav/principal_cadre/fd_cell_g.gif"><img src="<fl:webapp/>/icons/spacer.gif" width="15" height="42"></td>
		<td id="content" valign="top" width="98%">
			<table width="100%" border="0" cellpadding="0" cellspacing="0" height="100%">
				<tr style="height: 100%;">
					<td id="content_cell">
						<table width="100%">
						<tr>
						<td>
							<input type="hidden" name="langageIDOrigin" id="langageIDOrigin" value="<%= langageID %>">
							<table class="container" cellpadding="0" width="100%">
								<tr valign="top">
									<td class="titreFiche" width="78%">
										<fl:getProperty name="FAQHeader" property="FahTitle" alt="" />
									</td>
									<td width="22%">
										<table width="100%">
											<tr>
												<td width="9%">
													<font size="1"><fl:getMessage code="F602D" alt="Version"/></font>
												</td>
												<td width="90%">	
													<div id="div_read_versions"></div> 	
												</td>
												<td width="1%" align="right">
													<a href="javascript: loadFaqHeaderOrigin('<%= fahFromFahID %>');">
														<img id="icon_read_version" src="<fl:webapp/>/icons/close.png" width="20px" alt="Fermer la fiche d'origine" title="Fermer la fiche d'origine">
													</a>
												</td>
											</tr>
										</table>
									</td>
								</tr>
								<tr><td align="left"><%= (fahIsRemoved != null) && (fahIsRemoved) ? "<span style=\"text-decoration: blink\">"+Utils.getMessage(session, "L80AC", "a été supprimée")+"</span>" : ""%></td></tr>
								<tr>
									<td colspan="5" class="ligne_separation" />
								</tr>
							</table>
							<table class="container" cellpadding="0" width="100%">
								<fl:fieldRead property="FahCategory"/>
								<fl:fieldRead property="FahSubCategory"/>
								<fl:fieldRead property="FahBeginDt"/>
								<fl:fieldRead property="FahExpireDt"/>	
								<tr class="fieldline">
									<td class="dataLabel">
										<div>
											<fl:label field="FahAudience"/>
										</div>
									</td>
									<td class="dataValue">
									<% 
									if(audience != null){
										for (int i = 0; i < audience.length; i++) {
										%>
											<%= audience[i] %><br/>
										<%	
										}
									}
									%>
									</td> 
								</tr>
								<tr>
									<td colspan="5" class="ligne_separation" />
								</tr>
							</table>
							<link href="<fl:webapp/>/css/smalltabs_css.jsp" rel="stylesheet" type="text/css">
							<fl:smallTabs name="FAQHeaderTabsR">
								<fl:sTab id="FICHER" title="<%= Utils.getMessage(session, \"L62EB\", \"Fiche\") %>" onselect="loadLanguageOrigin();">
									<table class="container" cellpadding="0" width="100%">
										<tr class="fieldline">
											<td colspan="3">
												<table width="100%">
													<tr>
														<td width="35%"></td>
														<td width="35%"></td>
														<td width="30%">
															<div id="div_language_origin"></div>
														</td>
													</tr>
												</table>
											</td>
										</tr>
										<tr>
											<td colspan="3" class="ligne_separation" />
										</tr>
										<tr class="fieldline">
											<td class="column2" colspan="3">
												<table class="container" cellpadding="0" width="100%">
													<tr>
														<td class="titrePartie">
															<fl:label field="FaqTitle" />
														</td>
													</tr>
													<tr>
														<td>
															<div id="FaqTitleOrigin" class="faqTitle"></div>
														</td>
													</tr>
													<tr class="ligne_separation">
														<td></td>
													</tr>
												</table>
												<table class="container" cellpadding="0" width="100%">
													<tr class="ligne_separation">
														<td></td>
													</tr>
													<tr>
														<td class="titrePartie">
															<fl:label field="FaqResponse"/>
														</td>
													</tr>
													<tr>
														<td>
															<div id="FaqResponseOrigin" class="faqContent"></div>
														</td>
													</tr>
													<tr class="ligne_separation">
														<td></td>
													</tr>
													<tr class="ligne_separation">
														<td></td>
													</tr>
												</table>
												<table class="container" cellpadding="0" width="100%">
													<tr>
														<td class="column2">
															<table class="data_column" cellpadding="0" width="100%">
																<tr>	
																	<td class="dataLabel">
																		<fl:getMessage code="F70AC" alt="Mot(s) clé(s)"/>
																	</td>	
																</tr>	
																<tr>										
																	<td class="dataValue">
																		<div style="height: 110px; width: 100%; overflow-y: auto;" id="div_faqh_tag_origin"></div>
																	</td>
																</tr>
															</table>
														</td>
													</tr>
													<tr>	
														<td class="column2">
															<table class="data_column" cellpadding="0" width="100%">
																<tr>
																	<td class="dataLabel"> 
																		<fl:getMessage code="F70AD" alt="Fiche(s) connexe(s)"/>
																	</td>
																</tr>	
																<tr>	
																	<td class="dataValue">
																		<div style="height: 110px; width: 100%; overflow-y: auto;" id="div_faqlink_origin"></div>
																	</td>
																</tr>
															</table>
														</td>
													</tr>
												</table>	
											</td>
										</tr>	
									</table>	
								</fl:sTab>
								<fl:sTab id="CONTACTSR" title="<%= Utils.getMessage(session, \"L3106\", \"Contacts\") %>" >
									<table class="container" cellpadding="0" width="100%">
										<tr class="fieldline">
											<td class="column2" width="100%">
												<table class="container" cellpadding="0" width="100%">
													<tr class="fieldline">
														<td class="dataLabel" id="FahCntctActID_label" width="100%"><fl:label field="FahCntctActID"/></td>
													</tr>	
													<tr class="fieldline">	
														<td class="dataValue" width="100%"><fl:getProperty name="FAQHeader" property="FahCntctActID" separator="<br>" bean="true" href="true" disp="<%= flRequest.computeURL(\"/read_actor.fl\") %>" alt=" "/></td>	
													</tr>		
													<tr><td class="ligne_separation"></td></tr>
													<tr class="fieldline">	
														<td class="dataLabel" id="FahCntctCorID_label" width="100%"><fl:label field="FahCntctCorID"/></td>
													</tr>	
													<tr class="fieldline">	
														<td class="column2" width="100%">
															<div>
																<%
																String correspondents = "";
																correspondents = FaqHeaderSyntaxActions.getFaqCorrespondentHtml(session, context, fahID);
																%>
																<%= correspondents %>
															</div>
														</td>		
													</tr>		
												</table>
											</td>
										</tr>
									</table>			
								</fl:sTab>
								<fl:sTab id="FICHIERSR" title="<%= Utils.getMessage(session, \"L201C\", \"Fichiers\") %>">
									<table class="container" cellpadding="0" width="100%">
										<tr class="fieldline">
											<td class="column2">
												<div class="dataValue">
													<fl:attach name="FAQHeader" colID="FahAttID" edit="false"/>
												</div>	
											</td>	
										</tr>
									</table>		
								</fl:sTab>
							</fl:smallTabs>		
						</td>
						<td>
							<table cellpadding="0" cellspacing="0" width="100%">
								<tr valign="middle">
									<td>
										<a href="javascript: loadFaqHeaderOrigin('<%= fahFromFahID %>');">
											<!--img id="icon_read_version" src="<fl:webapp/>/icons/ico/gauche.gif"-->
										</a>
									</td>
								</tr>
							</table>
						</td>
						</table>			
						<div class="footerText" style="text-align: center; position: relative;"><hr></div>
					</td>
				</tr>
			</table>
		</td>
		<td width="15" background="<fl:webapp/>/icons/nav/principal_cadre/fd_cell_d.gif"><img src="<fl:webapp/>/icons/spacer.gif" width="15" height="42"></td>
		<td width="10"><img src="<fl:webapp/>/icons/spacer.gif" width="10" height="10"></td>
	</tr>
	<tr style="height: 15px;">
		<td width="10"><img src="<fl:webapp/>/icons/spacer.gif" width="10" height="10"></td>
		<td width="15"><img src="<fl:webapp/>/icons/nav/principal_cadre/cell_bas_g.gif" width="15" height="15"></td>
		<td width="98%" background="<fl:webapp/>/icons/nav/principal_cadre/fd_cell_bas_m.gif"><img src="<fl:webapp/>/icons/spacer.gif" width="15" height="15"></td>
		<td width="15"><img src="<fl:webapp/>/icons/nav/principal_cadre/cell_bas_d.gif" width="15" height="15"></td>
		<td width="10"><img src="<fl:webapp/>/icons/spacer.gif" width="10" height="10"></td>
	</tr>
</table>
	